Bug 26755 - Make the guarantor search popup taller
Summary: Make the guarantor search popup taller
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-20 14:06 UTC by Barbara Johnson
Modified: 2021-02-11 21:51 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03,20.05.09


Attachments
Current popup window (19.60 KB, image/png)
2020-10-20 14:06 UTC, Barbara Johnson
Details
Taller popup window showing search result (28.13 KB, image/png)
2020-10-20 14:07 UTC, Barbara Johnson
Details
Bug 26755: Make the guarantor search popup taller (1.85 KB, patch)
2021-01-22 15:43 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26755: Make the guarantor search popup taller (1.92 KB, patch)
2021-01-22 15:55 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 26755: Make the guarantor search popup taller (1.97 KB, patch)
2021-01-27 22:11 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barbara Johnson 2020-10-20 14:06:06 UTC
Created attachment 112042 [details]
Current popup window

When searching for a guarantor to add to a guarantee you can't see the search results in the the popup search window (guarantor_search.pl) without scrolling.  Although the popup window shouldn't be too tall it would be helpful to display at least the first one or two entries which could eliminate extra scrolling and allow staff to select the record more efficiently.
Comment 1 Barbara Johnson 2020-10-20 14:07:18 UTC
Created attachment 112043 [details]
Taller popup window showing search result
Comment 2 Anneli Österman 2020-10-23 11:39:25 UTC
This would be nice improvement.
Comment 3 Owen Leonard 2021-01-22 15:43:17 UTC
Created attachment 115700 [details] [review]
Bug 26755: Make the guarantor search popup taller

This patch changes the dimensions of the popup window in which
guarantors are chosen during the patron edit process.

The patch also removes an obsolete function delcaration for "Dopop"
which is unused.

To test, apply the patch and open a "child" type patron account for
editing.

Click the "Add guarantor" button. This should trigger a popup window.
Eyeball the size of the window, you'll be able to tell that it is
exactly 800 pixels wide.
Comment 4 PTFS Europe Sandboxes 2021-01-22 15:55:44 UTC
Created attachment 115701 [details] [review]
Bug 26755: Make the guarantor search popup taller

This patch changes the dimensions of the popup window in which
guarantors are chosen during the patron edit process.

The patch also removes an obsolete function delcaration for "Dopop"
which is unused.

To test, apply the patch and open a "child" type patron account for
editing.

Click the "Add guarantor" button. This should trigger a popup window.
Eyeball the size of the window, you'll be able to tell that it is
exactly 800 pixels wide.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 5 Katrin Fischer 2021-01-27 22:11:17 UTC
Created attachment 115912 [details] [review]
Bug 26755: Make the guarantor search popup taller

This patch changes the dimensions of the popup window in which
guarantors are chosen during the patron edit process.

The patch also removes an obsolete function delcaration for "Dopop"
which is unused.

To test, apply the patch and open a "child" type patron account for
editing.

Click the "Add guarantor" button. This should trigger a popup window.
Eyeball the size of the window, you'll be able to tell that it is
exactly 800 pixels wide.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2021-01-28 16:34:42 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-02-05 15:30:31 UTC
Small enhancement very useful, I choose to backport.

Pushed to 20.11.x for 20.11.03

There are several places with small popups, maybe we should always use the same size ?
https://git.koha-community.org/Koha-community/Koha/search?q=height%3D400
Comment 8 Andrew Fuerste-Henry 2021-02-08 20:28:40 UTC
Pushed to 20.05.x for 20.05.09
Comment 9 Victor Grousset/tuxayo 2021-02-10 00:53:30 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.